/*
 *	Minimal test program for the ABORT command
 *	written by Jan Engelhardt, 2012
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the WTF Public License version 2 or
 *	(at your option) any later version.
 */
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <libnetfilter_xtables/xtnetlink.h>
#include <libnetfilter_xtables/xtuser.h>
#include "t-common.h"

static int tf_abort(int argc, const char **argv, struct test_param *par)
{
	struct xtuser_table *table;
	struct xtuser_chain *chain;
	struct xtuser_rule *rule;
	int ret;

	table = xtuser_table_new();
	assert(table != NULL);
	chain = xtuser_chain_create(table, "abc");
	assert(chain != NULL);
	rule = xtuser_rule_new();
	assert(rule != NULL);
	ret = xtuser_rule_push_jump(rule, "def");
	assert(ret == 0);
	ret = xtuser_chain_push(chain, rule);
	assert(ret == 0);
	ret = xtnetlink_table_replace(par->xth, table);
	assert(ret == NFXTE_JUMP_DST_NOENT);
	return EXIT_SUCCESS;
}

const struct test_program tp_abort = {
	.tfunc = tf_abort,
};
