/*
 *	Minimal test program for the chain splice operation
 *	written by Jan Engelhardt, 2012
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the WTF Public License version 2 or
 *	(at your option) any later version.
 */
#include <stdio.h>
#include <stdlib.h>
#include <libnetfilter_xtables/xtnetlink.h>
#include <libnetfilter_xtables/xtuser.h>
#include "t-common.h"

static int tf_chain_delete(int argc, const char **argv, struct test_param *par)
{
	int ret;

	if (argc < 2) {
		fprintf(stderr, "A chain name is required\n");
		return EXIT_FAILURE;
	}

	ret = xtnetlink_chain_del(par->xth, argv[1]);
	printf("Deleting chain %s... (%d) %s\n",
	       argv[1], ret, xtuser_strerror(ret));
	if (ret != 0)
		return EXIT_FAILURE;

	ret = xtnetlink_chain_del(par->xth, argv[1]);
	printf("should-fail: Deleting chain %s again... (%d) %s\n",
	       argv[1], ret, xtuser_strerror(ret));
	if (ret == 0)
		return EXIT_FAILURE;

	return EXIT_SUCCESS;
}

const struct test_program tp_chain_delete = {
	.tfunc = tf_chain_delete,
};
